From 2d652deff6262a49462dfc613929555adca5a0af Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Thu, 20 Jun 2019 10:42:59 +0200
Subject: [PATCH] monero: update to 0.14.1.0.

---
 srcpkgs/monero/patches/easylogging.patch | 10 +++++-----
 srcpkgs/monero/template                  | 12 ++++++------
 2 files changed, 11 insertions(+), 11 deletions(-)

diff --git a/srcpkgs/monero/patches/easylogging.patch b/srcpkgs/monero/patches/easylogging.patch
index e4970afdd5e..07daa22c5f0 100644
--- a/srcpkgs/monero/patches/easylogging.patch
+++ b/srcpkgs/monero/patches/easylogging.patch
@@ -1,11 +1,11 @@
---- external/easylogging++/easylogging++.h	2018-10-10 13:06:21.126417347 +0200
-+++ external/easylogging++/easylogging++.h	2018-10-10 13:07:35.488416829 +0200
-@@ -205,7 +205,7 @@
+--- external/easylogging++/easylogging++.h.orig	2019-06-20 10:34:09.991591827 +0200
++++ external/easylogging++/easylogging++.h	2019-06-20 10:35:12.131793176 +0200
+@@ -216,7 +216,7 @@
  #  define ELPP_INTERNAL_INFO(lvl, msg)
  #endif  // (defined(ELPP_DEBUG_INFO))
  #if (defined(ELPP_FEATURE_ALL)) || (defined(ELPP_FEATURE_CRASH_LOG))
--#  if (ELPP_COMPILER_GCC && !ELPP_MINGW && !ELPP_OS_OPENBSD && !ELPP_OS_NETBSD)
-+#  if ( __has_include(<execinfo.h>) && ELPP_COMPILER_GCC && !ELPP_MINGW && !ELPP_OS_OPENBSD && !ELPP_OS_NETBSD)
+-#  if (ELPP_COMPILER_GCC && !ELPP_MINGW && !ELPP_OS_OPENBSD && !ELPP_OS_NETBSD && !ELPP_OS_ANDROID)
++#  if ( __has_include(<execinfo.h>) && ELPP_COMPILER_GCC && !ELPP_MINGW && !ELPP_OS_OPENBSD && !ELPP_OS_NETBSD && !ELPP_OS_ANDROID)
  #    define ELPP_STACKTRACE 1
  #  else
  #    define ELPP_STACKTRACE 0
diff --git a/srcpkgs/monero/template b/srcpkgs/monero/template
index 4f90a580599..46a464fe77a 100644
--- a/srcpkgs/monero/template
+++ b/srcpkgs/monero/template
@@ -1,7 +1,7 @@
 # Template file for 'monero'
 pkgname=monero
-version=0.14.0.2
-revision=2
+version=0.14.1.0
+revision=1
 build_style=cmake
 configure_args="-DBUILD_GUI_DEPS=ON -DHAVE_LIBRESSL=1"
 conf_files="/etc/monerod.conf"
@@ -17,7 +17,7 @@ maintainer="Helmut Pozimski <helmut@pozimski.eu>"
 license="BSD-3-Clause"
 homepage="https://getmonero.org"
 distfiles="https://github.com/monero-project/monero/archive/v${version}.tar.gz"
-checksum=90a0a9395fe911378a2e1e495df4cdb6b03cb7baaae63b8dda1c8ae827bb5385
+checksum=a27f2856817498067ab4fd8c456c24d3372f1c174d19652f8213a2771ab95e72
 system_accounts="monero"
 
 if [ "$CROSS_BUILD" ]; then
@@ -44,9 +44,9 @@ case "$XBPS_TARGET_MACHINE" in
 	ppc64*) configure_args+=" -DARCH=ppc64"
 	;;
 	ppc*) configure_arch+=" -DARCH=ppc"
-                makedepends+=" libatomic-devel"
-                CFLAGS+=" -latomic"
-        ;;
+		makedepends+=" libatomic-devel"
+		CFLAGS+=" -latomic"
+	;;
 	*) configure_args+=" -DARCH=default"
 	;;
 esac
